package com.malk.jianhui.config;

import com.alibaba.fastjson.JSON;
import com.malk.utils.UtilMap;
import com.malk.utils.UtilString;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;

@Data
@Component
@ConfigurationProperties(prefix = "kingdee")
@Slf4j
public class KDWebApiConf {

    private String XKDApiAcctID;

    private String XKDApiUserName;

    private String XKDApiAppID;

    private String XKDApiAppSec;

    private String XKDApiServerUrl;

}
