package com.malk.mc.config;

import com.malk.core.McProject;
import com.malk.mc.service.McProjectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

@Component
public class StartupRunner implements ApplicationRunner {

    @Autowired
    private McProjectService mcProjectService;

    @Override
    public void run(ApplicationArguments args) throws Exception {
        mcProjectService.init();
//        System.out.println("项目启动完毕，可以根据启动参数执行相应操作！");
//        args.getOptionNames().forEach(System.out::println); // 打印所有选项参数名
    }
}