package com.malk.mc.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@TableName("t_mc_req_record")
public class McRequestRecord {

    @TableId(type= IdType.AUTO)
    private Long id;
    private String requestUri;
    private String requestMethod;
    private String requestBody;
    private String responseBody;
    private Long duration;
    private String pid;
    private LocalDateTime timestamp;

}