package com.malk.kuaikeli.entity;


import cn.hutool.core.annotation.Alias;
import lombok.Data;

import java.util.Map;

/***
 * 定价单
 */
@Data
public class Pricing {

    // 供应商编号
    @Alias("textField_llzzbai8")
    private String supplierId;

    // 项目编号
    @Alias("textField_lllovku7")
    private String projectId;

    // 项目名称
    @Alias("textField_loy1ep8r")
    private String projectName;

    // 相关信息
    private Map<String,String> rateMap;

}
