package com.malk.pake.controller;

import com.malk.pake.service.PkWbcgService;
import com.malk.server.common.McR;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/report")
public class PkReportController {

    @Autowired
    private PkWbcgService pkWbcgService;

    @GetMapping("/wbcg/list")
    public McR addProject(String dept1,String dept2){
        List<Map> result= pkWbcgService.selectSumDataList(dept1,dept2);
        return McR.success(result);
    }

}
